Update GIMP to version 2.8.6

Bug #1207734 reported by Thomas Hotz on 2013-08-02
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
gimp (Ubuntu)
Wishlist
Unassigned

Bug Description

Please update GIMP to version 2.8.6 in saucy.

This will fix the following bugs:

see https://git.gnome.org/browse/gimp/plain/NEWS?h=gimp-2-8

Overview of Changes from GIMP 2.8.4 to GIMP 2.8.6
=================================================

Core:

 - Fix saving to URIs, it was broken to only allow exporting, and fix
   save/export of compressed files
 - Fix brush spacing for drawing in any direction
 - Increase the maximum size of clipboard brushes and patterns to 1024x1024
 - Make sure data objects are saved when only their name was changed

GUI:

 - Don't allow single-window docks to shrink smaller than their requisition
 - Make sure a single-window's right docks keep their size across sessions
 - Allow to change the spacing of non-generated brushes again
 - In single-window mode, make Escape move the focus to the canvas,
   and beep if the focus is already there
 - Be smarter about unavailable fonts, and don't crash
 - Make clicking the single-window's close button quit GIMP
 - Make view-close (Ctrl+W) only close image windows and tabs, not docks

Libgimp:

 - Add SIGNED_ROUND() which also rounds negative values correctly

Plug-ins:

 - Make GIMP_PLUGIN_DEBUG work again after GLib changed logging
 - Fix zealous crop for transparent borders

Installer:

 - Add Hungarian translation

Data:

 - Add a default "Color from Gradient" dynamics and tool preset

General:

 - Lots of bug fixes
 - Lots of translation updates

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: gimp 2.8.4-1ubuntu1
ProcVersionSignature: Ubuntu 3.10.0-6.17-generic 3.10.3
Uname: Linux 3.10.0-6-generic x86_64
ApportVersion: 2.11-0ubuntu1
Architecture: amd64
Date: Fri Aug 2 14:33:09 2013
InstallationDate: Installed on 2013-07-27 (6 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130727)
MarkForUpload: True
SourcePackage: gimp
UpgradeStatus: No upgrade log present (probably fresh install)

tags: added: upgrade-software-version
Adolfo Jayme (fitojb) on 2013-08-04
Changed in gimp (Ubuntu):
status: New → Triaged
importance: Undecided → Wishlist

GIMP 2.8.6 has arrived in Debian testing. Is it possible to include it in Ubuntu 13.10 saucy?

This would fix especially this bug: https://bugs.launchpad.net/ubuntu/+source/gimp/+bug/1189111

This bug was set as critical in the GNOME bugzilla and is fixed with version 2.8.6.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gimp - 2.8.6-1ubuntu1

---------------
gimp (2.8.6-1ubuntu1) saucy; urgency=low

  * Synchronize with Debian (LP: #1207734). Remaining changes:
    - debian/patches/02_help-message.patch,
      debian/patches/03_gimp.desktop.in.in.patch:
      + Update some strings for Ubuntu
    - debian/control:
      + Update description
    - debian/rules:
      + Set gettext domain and update translation templates

gimp (2.8.6-1) unstable; urgency=low

  * Imported Upstream version 2.8.6
    - Fixes some single window closing behavior (Closes: #686345)
  * Tighten dependency on gdk-pixbuf (Closes: #712616)
 -- Sebastien Bacher <email address hidden> Thu, 29 Aug 2013 12:48:19 +0200

Changed in gimp (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers